package com.ruoyi.szxc.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 资产设施对象 szxc_zcss
 *
 * @author hs
 * @date 2024-04-02
 */
public class SzxcZcss extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 资产名称 */
    @Excel(name = "资产名称")
    private String zcName;

    /** 资产类型(字典) */
    @Excel(name = "资产类型(字典)")
    private String zcType;

    /** 安装时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "安装时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date installDate;

    /** 负责人 */
    @Excel(name = "负责人")
    private String fzr;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String address;

    /** 资产照片 */
    @Excel(name = "资产照片")
    private String picture;

    /** 是否定期巡检 */
    @Excel(name = "是否定期巡检")
    private String xj;

    /** 巡检周期(天) */
    @Excel(name = "巡检周期(天)")
    private Long xjCycle;

    /** 上次巡检时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上次巡检时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastTime;

    /** 巡检开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "巡检开始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date xjStart;

    /** 巡检结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "巡检结束日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date xjEnd;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 所属网格 */
    @Excel(name = "所属网格")
    private String deptName;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long userId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setZcName(String zcName)
    {
        this.zcName = zcName;
    }

    public String getZcName()
    {
        return zcName;
    }
    public void setZcType(String zcType)
    {
        this.zcType = zcType;
    }

    public String getZcType()
    {
        return zcType;
    }
    public void setInstallDate(Date installDate)
    {
        this.installDate = installDate;
    }

    public Date getInstallDate()
    {
        return installDate;
    }
    public void setFzr(String fzr)
    {
        this.fzr = fzr;
    }

    public String getFzr()
    {
        return fzr;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setPicture(String picture)
    {
        this.picture = picture;
    }

    public String getPicture()
    {
        return picture;
    }
    public void setXj(String xj)
    {
        this.xj = xj;
    }

    public String getXj()
    {
        return xj;
    }
    public void setXjCycle(Long xjCycle)
    {
        this.xjCycle = xjCycle;
    }

    public Long getXjCycle()
    {
        return xjCycle;
    }
    public void setLastTime(Date lastTime)
    {
        this.lastTime = lastTime;
    }

    public Date getLastTime()
    {
        return lastTime;
    }
    public void setXjStart(Date xjStart)
    {
        this.xjStart = xjStart;
    }

    public Date getXjStart()
    {
        return xjStart;
    }
    public void setXjEnd(Date xjEnd)
    {
        this.xjEnd = xjEnd;
    }

    public Date getXjEnd()
    {
        return xjEnd;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("zcName", getZcName())
                .append("zcType", getZcType())
                .append("installDate", getInstallDate())
                .append("fzr", getFzr())
                .append("phone", getPhone())
                .append("address", getAddress())
                .append("picture", getPicture())
                .append("xj", getXj())
                .append("xjCycle", getXjCycle())
                .append("lastTime", getLastTime())
                .append("xjStart", getXjStart())
                .append("xjEnd", getXjEnd())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("userId", getUserId())
                .toString();
    }
}
